FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Kernel Team

 
 
LinkBack Thread Tools
 
Old 02-05-2009, 10:48 AM
"realKano@directbox.com"
 
Default qc-usb-messenger driver

This driver works with the 3 extra patches with 2.6.28 (verified), please add it to the kernel, would fix:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/209901

too - for 2.6.27 you only need the first 2 patches of course.

http://home.mag.cx/messenger/source/qc-usb-messenger-1.8.tar.gz

http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.26.patch
http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.27.patch
http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.28.patch


--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 
Old 02-09-2009, 01:15 PM
Tim Gardner
 
Default qc-usb-messenger driver

realKano@directbox.com wrote:
> This driver works with the 3 extra patches with 2.6.28 (verified), please add it to the kernel, would fix:
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/209901
>
> too - for 2.6.27 you only need the first 2 patches of course.
>
> http://home.mag.cx/messenger/source/qc-usb-messenger-1.8.tar.gz
>
> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.26.patch
> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.27.patch
> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.28.patch
>
>

You're making me work too hard. I only checked Jaunty, but the patch for
2.6.28 doesn't apply for a variety of reasons. See the last section of
https://wiki.ubuntu.com/KernelPatches for instructions on how to submit
patches.

rtg
--
Tim Gardner tim.gardner@canonical.com

--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 
Old 02-09-2009, 05:52 PM
"realKano@directbox.com"
 
Default qc-usb-messenger driver

Patch against current Ubuntu git, cleaned every unneeded file, used all 3 patches, renamed driver to qc-usb-messenge - includes BOM file with infos. Used local quickcam.h.

http://kanotix.com/files/kernel/unused-patches/2.6.28-ubuntu-qc-usb-messenger.patch.bz2

>> This driver works with the 3 extra patches with 2.6.28 (verified), please add it to the kernel, would fix:
>>
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/209901
>>
>> too - for 2.6.27 you only need the first 2 patches of course.
>>
>> http://home.mag.cx/messenger/source/qc-usb-messenger-1.8.tar.gz
>>
>> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.26.patch
>> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.27.patch
>> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.28.patch
>>
>>
>
>You're making me work too hard. I only checked Jaunty, but the patch for
> 2.6.28 doesn't apply for a variety of reasons. See the last section of
>https://wiki.ubuntu.com/KernelPatches for instructions on how to submit
>patches.
>
>rtg
>--
>Tim Gardner tim.gardner@canonical.com



--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 
Old 02-09-2009, 06:31 PM
"realKano@directbox.com"
 
Default qc-usb-messenger driver

>OK - now I'm really confused. Why do you want to create yet another
>driver directory when ubuntu/qc-usb already exists ? I want a patch
>against the Ubuntu kernel tree that updates the existing ubuntu/qc-usb
>driver to whatever is the current upstream version.

qc-usb is not needed anymore, thats the quickcam module inside the kernel, you can remove that subdir as you did not activate it anyway. qc-usb-messenger is a different driver just for 4 usb-ids - compare the BOM files!


--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 
Old 02-09-2009, 07:17 PM
Tim Gardner
 
Default qc-usb-messenger driver

realKano@directbox.com wrote:
>>> This driver works with the 3 extra patches with 2.6.28
>>> (verified), please add it to the kernel, would fix:
>>>
>>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/209901
>>>
>>> too - for 2.6.27 you only need the first 2 patches of course.
>>>
>>> http://home.mag.cx/messenger/source/qc-usb-messenger-1.8.tar.gz
>>>
>>> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.26.patch
>>>
>>>
>>> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.27.patch
>>>
>>>
>>> http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-video/qc-usb-messenger/files/qc-usb-messenger-1.8-kcompat-2.6.28.patch
>>>
>>>
>>>
>>>
>> You're making me work too hard. I only checked Jaunty, but the
>> patch for 2.6.28 doesn't apply for a variety of reasons. See the
>> last section of https://wiki.ubuntu.com/KernelPatches for
>> instructions on how to submit patches.
>>
>> rtg -- Tim Gardner tim.gardner@canonical.com
>
> Patch against current Ubuntu git, cleaned every unneeded file, used
> all 3 patches, renamed driver to qc-usb-messenge - includes BOM file
> with infos. Used local quickcam.h.
>
>
>
http://kanotix.com/files/kernel/unused-patches/2.6.28-ubuntu-qc-usb-messenger.patch.bz2
>
>

OK - now I'm really confused. Why do you want to create yet another
driver directory when ubuntu/qc-usb already exists ? I want a patch
against the Ubuntu kernel tree that updates the existing ubuntu/qc-usb
driver to whatever is the current upstream version.

--
Tim Gardner tim.gardner@canonical.com

--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 

Thread Tools




All times are GMT. The time now is 07:28 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org